#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCform.h>
#include <WSCvifield.h>
extern WSCform* newform_003;
extern WSCvifield* newvifi_005;

void resize1(WSCbase* object){
  long w = object->getProperty(WSNwidth);
  long h = object->getProperty(WSNheight);
  if (w > 2){
    w = w-2;
  }
  if (h > 45){
    h = h -45;
  }
  newform_003->setProperty(WSNwidth,w);
  newform_003->setProperty(WSNheight,h);
  if (w > 120){
    w = w -120;
  }
  newvifi_005->setProperty(WSNwidth,w);
}
static WSCfunctionRegister  op("resize1",(void*)resize1);
